1.1.1 - 1.0
post /v1/cloudmonitorings/event/v2/event-policies
Description
Create Event Policy
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| header | X-ResourceType required | Resource Type Example :
| string | None |
| body | body required |
| EventPolicyCreateRequest | |
Responses
Example HTTP request
Request path
/v1/cloudmonitorings/event/v2/event-policies
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudmonitoring 1.0"
Request body
{
"eventPolicyRequest": {
"disableYn": "N",
"eventLevel": "WARNING",
"eventMessagePrefix": "SCP",
"eventOccurTimeZone": "GMT+9",
"eventPolicyStatistics": {
"eventPolicyStatisticsPeriod": 10,
"eventPolicyStatisticsType": "MAX"
},
"eventThreshold": {
"metricFunction": "delta",
"rangeThreshold": {
"maxComparisonOperator": "LT",
"maxValue": 90,
"minComparisonOperator": "GT",
"minValue": 80
},
"singleThreshold": {
"comparisonOperator": "LT",
"value": 10
},
"thresholdType": "RANGE_VALUE"
},
"ftCount": 3,
"isLogMetric": "N",
"metricKey": "system.diskio.read.bytes",
"metricName": "",
"objectDisplayName": "dm0",
"objectName": "dm0",
"objectType": "SCP",
"podObjectDisplayName": "dm0",
"podObjectName": "dm0"
},
"notificationRecipients": [
{
"notificationMethods": [
{
"eventLevel": "FATAL",
"notificationMethod": "",
"sendMethod": [
"MAIL"
]
}
],
"recipientKey": "1347",
"recipientType": "USER"
}
],
"productResourceId": "INSTANCE-c4Hsd27ttDaLw533X4B6Sp"
}
Example HTTP response
Response 200
{
"asgYn": "",
"attrListStr": "",
"checkAsg": "",
"createBy": "",
"createById": "",
"createdBy": "",
"createdByName": "",
"createdDt": "2026-02-11T06:41:18.735Z",
"disableObject": "N",
"disableYn": "",
"displayEventRule": "SCP",
"eventLevel": "WARNING",
"eventMessagePrefix": "SCP",
"eventOccurTimeZone": "GMT+9",
"eventPolicyId": 7226,
"eventPolicyStatistics": {
"eventPolicyStatisticsPeriod": 10,
"eventPolicyStatisticsType": "MAX"
},
"eventThreshold": {
"metricFunction": "delta",
"rangeThreshold": {
"maxComparisonOperator": "LT",
"maxValue": 90,
"minComparisonOperator": "GT",
"minValue": 80
},
"singleThreshold": {
"comparisonOperator": "LT",
"value": 10
},
"thresholdType": "RANGE_VALUE"
},
"ftCount": 3,
"groupSummary": {
"groupName": "",
"groupResourceId": "",
"groupSq": "",
"productList": [
{
"productName": "",
"productResourceId": "",
"productSq": ""
}
],
"productTypeCode": "",
"productTypeName": ""
},
"isLogMetric": "N",
"metricDescription": "커널에서 사용한 CPU 시간의 백분율 (core 4개 모두를 100%사용하는 경우 : 400%)",
"metricDescriptionEn": "Percentage of CPU time used in the kernel (if 100% of all 4 cores are used: 400%)",
"metricKey": "system.cpu.system.pct",
"metricName": "system.cpu.system.pct",
"metricSummary": {
"isLogMetric": "N",
"isObjectExist": "Y",
"metricDescription": "커널에서 사용한 CPU 시간의 백분율 (core 4개 모두를 100%사용하는 경우 : 400%)",
"metricDescriptionEn": "Percentage of CPU time used in the kernel (if 100% of all 4 cores are used: 400%)",
"metricKey": "system.cpu.system.pct",
"metricName": "system.cpu.system.pct",
"metricSetKey": "system.cpu",
"metricSetName": "CPU",
"metricType": "NUM",
"metricUnit": "bytes",
"productTargetType": "system.core.id 별",
"productTargetTypeEn": "By system.core.id"
},
"metricType": "NUM",
"metricUnit": "%",
"modifiedBy": "",
"modifiedByName": "",
"modifiedDt": "2026-02-11T06:41:18.735Z",
"objectDisplayName": "/tmp",
"objectName": "/tmp",
"objectType": "cluster",
"objectTypeName": "cluster",
"productInfoAttrs": [
{
"attrName": "type",
"attrValue": "test"
}
],
"productName": "adad-002",
"productResourceId": "INSTANCE-c4Hsd27ttDaLw533X4B6Sp",
"productSq": 7234,
"productSummary": {
"agentState": "Running",
"lbName": "lbName",
"lbSize": "MEDIUM",
"productIpAddress": "192.168.1.2",
"productName": "VM-002",
"productResourceId": "INSTANCE-c4Hsd27ttDaLw533X4B6Sp",
"productSq": 8703,
"productState": "Running",
"productSubName": "productSubName",
"productSubType": "replicaset",
"productTypeCode": "VM",
"productTypeName": "Virtual Server",
"vpcName": "vpcName"
},
"productTargetType": "system.core.id 별",
"productTargetTypeEn": "By system.core.id",
"startDt": "2021-10-23T18:00:00Z",
"updateBy": "",
"updateById": "",
"userNameList": [
"userName",
"userName"
],
"userNameStr": "",
"userNames": "N"
}
1.2.1 - 1.0
delete /v1/cloudmonitorings/event/v2/event-policies/{eventPolicyId}
Description
Delete Event policy
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | eventPolicyId required | Event policy ID to delete - Event Policy ID can be viewed using @[ListEventPolicies]. Example : 7226
| integer | None |
| header | X-ResourceType required | Resource Type Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | None |
| 204 | OK(No Contents) | None |
| 400 | Invalid Request | None |
| 401 | Monitoring User Not Found | None |
| 403 | Unauthorized Request | None |
| 404 | Resource Not Found | None |
Example HTTP request
Request path
/v1/cloudmonitorings/event/v2/event-policies/{eventPolicyId}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudmonitoring 1.0"
Example HTTP response
Response 200
1.3.1 - 1.0
get /v1/cloudmonitorings/event/v2/accounts/events
Description
Search Account Event List
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | eventState required | Event State Example : ALL
| string | None |
| query | queryStartDt required | Query Start Date Example : 2021-10-23T18:00:00.000Z
| string | None |
| query | queryEndDt required | Query End Date Example : 2021-10-23T23:59:59.000Z
| string | None |
| query | page optional | Page Number (default: 0) Example : 0
| integer | None |
| query | size optional | Page Contents Size (default: 10) Example : 10
| integer | None |
| query | sort optional | Sorting Field List
| array[string] | None |
Responses
Example HTTP request
Request path
/v1/cloudmonitorings/event/v2/accounts/events?eventState={eventState}&queryStartDt={queryStartDt}&queryEndDt={queryEndDt}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudmonitoring 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"durationSecond": 100,
"endDt": "2021-10-23T23:59:59Z",
"eventId": "",
"eventLevel": "FATAL",
"eventMessage": "",
"eventPolicyId": 7240,
"eventState": "ACTIVE",
"metricKey": "system.cpu.system.norm.pct",
"metricName": "system.cpu.system.norm.pct",
"objectDisplayName": "CPU0",
"objectName": "CPU0",
"objectType": "cluster",
"objectTypeName": "cluster",
"productResourceId": "INSTANCE-c4Hsd27ttDaLw533X4B6Sp",
"productTargetType": "system.core.id 별",
"productTargetTypeEn": "By system.core.id",
"productTypeName": "Virtual Server",
"startDt": "2021-10-23T18:00:00Z"
}
],
"isChanged": "",
"returnCount": "",
"returnPage": "",
"sort": [
""
],
"sortableFields": [
""
],
"totalCount": ""
}
1.4.1 - 1.0
get /v1/cloudmonitorings/product/v1/accounts/members
Description
Search members included in an Account.
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | page optional | Page Number (default: 0) Example : 0
| integer | None |
| query | size optional | Page Contents Size (default: 10) Example : 10
| integer | None |
| query | sort optional | Sorting Field List
| array[string] | None |
Responses
Example HTTP request
Request path
/v1/cloudmonitorings/product/v1/accounts/members
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudmonitoring 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"companyName": "삼성SDS",
"createdBy": "469",
"createdByEmail": "soonshin.lee@cloud.com",
"createdByName": "이순신",
"createdDt": "2021-08-06T10:23:41.547Z",
"email": "kdhong@cloud.com",
"lastAccessDt": "2022-11-06T10:23:41.547Z",
"modifiedBy": "469",
"modifiedByEmail": "soonshin.lee@cloud.com",
"modifiedByName": "이순신",
"modifiedDt": "2021-08-06T10:23:41.547Z",
"organizationId": "",
"positionName": "프로",
"userGroupCount": "10",
"userId": "1984",
"userName": "홍길동"
}
],
"returnCount": 10,
"returnPage": 1,
"sort": [
""
],
"sortableFields": [
""
],
"totalCount": 100
}
1.5.1 - 1.0
get /v1/cloudmonitorings/product/v2/accounts/products
Description
Search Resource included in an Account.
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | page optional | Page Number (default: 0) Example : 0
| integer | None |
| query | size optional | Page Contents Size (default: 10) Example : 10
| integer | None |
| query | sort optional | Sorting Field List
| array[string] | None |
| header | X-ResourceType required | Resource Type Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | PageResponseAccountProductDto |
| 400 | Invalid Request | None |
| 401 | Monitoring User Not Found | None |
| 403 | Unauthorized Request | None |
| 404 | Resource Not Found | None |
Example HTTP request
Request path
/v1/cloudmonitorings/product/v2/accounts/products
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudmonitoring 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"accountId": "UqXgOSnoqOfKB0_LKO6xId",
"endDt": "9999-12-31T23:59:59.999Z",
"lastEventLevel": "WARNING",
"poolName": "POOL-A8-C1DpGqRdQMlfNXdJxLb",
"productIpAddress": "192.168.245.161",
"productName": "VM-Server-01",
"productResourceId": "INSTANCE-c4Hsd27ttDaLw533X4B6Sp",
"productState": "Running",
"productTypeCode": "VM",
"productTypeName": "Virtual Server",
"startDt": "2021-10-23T08:30:00Z"
}
],
"isChanged": "",
"returnCount": "",
"returnPage": "",
"sort": [
""
],
"sortableFields": [
""
],
"totalCount": ""
}
1.6.1 - 1.0
get /v1/cloudmonitorings/product/v2/addrbooks/{addrbookId}/members
Description
Search address book members
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | addrbookId required | Address book ID - Address book IDs can be obtained from @[ListAddressBooks]. Example :
| integer | None |
| query | page optional | Page Number (default: 0) Example : 0
| integer | None |
| query | size optional | Page Contents Size (default: 10) Example : 10
| integer | None |
| query | sort optional | Sorting Field List
| array[string] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | PageResponseAlarmAddrBookMemberDto |
| 400 | Invalid Request | None |
| 401 | Monitoring User Not Found | None |
| 403 | Unauthorized Request | None |
| 404 | Resource Not Found | None |
Example HTTP request
Request path
/v1/cloudmonitorings/product/v2/addrbooks/{addrbookId}/members
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudmonitoring 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"userEmail": "kdhong@cloud.com",
"userId": "1346",
"userLanguage": "ko",
"userMobileTelNo": "010-0000-0000",
"userName": "홍길동",
"userTimezone": "Asia/Seoul"
}
],
"isChanged": "",
"returnCount": "",
"returnPage": "",
"sort": [
""
],
"sortableFields": [
""
],
"totalCount": ""
}
1.7.1 - 1.0
get /v1/cloudmonitorings/product/v2/users/addrbooks
Description
Search a list of address books created by user.
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | page optional | Page Number (default: 0) Example : 0
| integer | None |
| query | size optional | Page Contents Size (default: 10) Example : 10
| integer | None |
| query | sort optional | Sorting Field List
| array[string] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | PageResponseAlarmAddrBookDto |
| 400 | Invalid Request | None |
| 401 | Monitoring User Not Found | None |
| 403 | Unauthorized Request | None |
| 404 | Resource Not Found | None |
Example HTTP request
Request path
/v1/cloudmonitorings/product/v2/users/addrbooks
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudmonitoring 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"addrBookName": "contact name",
"addrbookId": "74",
"createdBy": "1984",
"createdByName": "김삼성",
"createdDt": "2021-10-23T22:00:00Z",
"memberCount": 10
}
],
"isChanged": "",
"returnCount": "",
"returnPage": "",
"sort": [
""
],
"sortableFields": [
""
],
"totalCount": ""
}
1.8.1 - 1.0
get /v1/cloudmonitorings/event/v2/event-policies
Description
Search Event Policies
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | productResourceId required | Product Resource ID - Product Resource ID can be viewed using @[ListAccountResources]. Example : c94607c8-6a15-4e13-84f3-99cb77d478e3
| string | None |
| query | metricKey optional | Metric Key - Metric Key can be viewed using @[ListMetrics]. Example : system.cpu.system.pct
| string | None |
| query | page optional | Page Number (default: 0) Example : 0
| integer | None |
| query | size optional | Page Contents Size (default: 10) Example : 10
| integer | None |
| query | sort optional | Sorting Field List
| array[string] | None |
| header | X-ResourceType required | Resource Type Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | PageResponseEventPolicyResponse |
| 400 | Invalid Request | None |
| 401 | Monitoring User Not Found | None |
| 403 | Unauthorized Request | None |
| 404 | Resource Not Found | None |
Example HTTP request
Request path
/v1/cloudmonitorings/event/v2/event-policies?productResourceId={productResourceId}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudmonitoring 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"checkAsg": "",
"createBy": "",
"createById": "",
"eventLevel": "WARNING",
"eventMessagePrefix": "SCP",
"eventOccurTimeZone": "GMT+9",
"eventPolicyId": 7226,
"eventPolicyStatistics": {
"eventPolicyStatisticsPeriod": 10,
"eventPolicyStatisticsType": "MAX"
},
"eventThreshold": {
"metricFunction": "delta",
"rangeThreshold": {
"maxComparisonOperator": "LT",
"maxValue": 90,
"minComparisonOperator": "GT",
"minValue": 80
},
"singleThreshold": {
"comparisonOperator": "LT",
"value": 10
},
"thresholdType": "RANGE_VALUE"
},
"ftCount": 3,
"isLogMetric": "N",
"metricDescription": "커널에서 사용한 CPU 시간의 백분율 (core 4개 모두를 100%사용하는 경우 : 400%)",
"metricDescriptionEn": "Percentage of CPU time used in the kernel (if 100% of all 4 cores are used: 400%)",
"metricKey": "system.cpu.system.pct",
"metricName": "system.cpu.system.pct",
"objectName": "cpu0",
"productName": "VM-002",
"productResourceId": "INSTANCE-c4Hsd27ttDaLw533X4B6Sp",
"productSq": 7321,
"productTargetType": "system.core.id 별",
"productTargetTypeEn": "By system.core.id",
"updateBy": "",
"updateById": ""
}
],
"isChanged": "",
"returnCount": "",
"returnPage": "",
"sort": [
""
],
"sortableFields": [
""
],
"totalCount": ""
}
1.9.1 - 1.0
get /v1/cloudmonitorings/event/v2/event-policies/{eventPolicyId}/histories
Description
Search event policy histories
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | eventPolicyId required | Event Policy ID to inquire - Event Policy ID can be viewed using @[ListEventPolicies]. Example : 7226
| integer | None |
| query | queryStartDt required | Query Start Date Example : 2021-10-23T18:00:00.000Z
| string | None |
| query | queryEndDt required | Query End Date Example : 2021-10-23T23:59:59.000Z
| string | None |
| query | page optional | Page Number (default: 0) Example : 0
| integer | None |
| query | size optional | Page Contents Size (default: 10) Example : 10
| integer | None |
| query | sort optional | Sorting Field List
| array[string] | None |
| header | X-ResourceType required | Resource Type Example :
| string | None |
Responses
Example HTTP request
Request path
/v1/cloudmonitorings/event/v2/event-policies/{eventPolicyId}/histories?queryStartDt={queryStartDt}&queryEndDt={queryEndDt}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudmonitoring 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"createBy": "",
"createById": "",
"disableObject": "N",
"disableYn": "N",
"eventLevel": "WARNING",
"eventMessagePrefix": "SCP",
"eventOccurTimeZone": "GMT+9",
"eventPolicyHistoryId": 8759,
"eventPolicyHistoryType": "U",
"eventPolicyId": 7240,
"eventPolicyStatistics": {
"eventPolicyStatisticsPeriod": 10,
"eventPolicyStatisticsType": "MAX"
},
"eventThreshold": {
"metricFunction": "delta",
"rangeThreshold": {
"maxComparisonOperator": "LT",
"maxValue": 90,
"minComparisonOperator": "GT",
"minValue": 80
},
"singleThreshold": {
"comparisonOperator": "LT",
"value": 10
},
"thresholdType": "RANGE_VALUE"
},
"ftCount": 3,
"metricDescription": "커널에서 사용한 CPU 시간의 백분율 (core 4개 모두를 100%사용하는 경우 : 400%)",
"metricDescriptionEn": "Percentage of CPU time used in the kernel (if 100% of all 4 cores are used: 400%)",
"metricKey": "system.cpu.system.pct",
"metricName": "system.cpu.system.pct",
"metricUnit": "%",
"modifiedBy": "",
"modifiedByName": "",
"modifiedDt": "2026-02-11T06:41:18.811Z",
"notificationRecipientHistory": {
"addrbookIds": [
""
],
"userIds": [
""
],
"userNames": [
""
]
},
"objectDisplayName": "cpu0",
"objectName": "cpu0",
"objectType": "cluster",
"productName": "VM-Server-01",
"productResourceId": "INSTANCE-c4Hsd27ttDaLw533X4B6Sp",
"productTargetType": "system.core.id 별",
"productTargetTypeEn": "By system.core.id",
"updateBy": "",
"updateById": ""
}
],
"isChanged": "",
"returnCount": "",
"returnPage": "",
"sort": [
""
],
"sortableFields": [
""
],
"totalCount": ""
}
1.10.1 - 1.0
get /v1/cloudmonitorings/event/v2/event-policies/{eventPolicyId}/notifications
Description
Search Event Policy Notification
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | page optional | Page Number (default: 0) Example : 0
| integer | None |
| query | size optional | Page Contents Size (default: 10) Example : 10
| integer | None |
| query | sort optional | Sorting Field List
| array[string] | None |
| path | eventPolicyId required | Event Policy ID to inquire - Event Policy ID can be viewed using @[ListEventPolicies]. Example : 7226
| integer | None |
| header | X-ResourceType required | Resource Type Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | PageResponseNotificationResponse |
| 400 | Invalid Request | None |
| 401 | Monitoring User Not Found | None |
| 403 | Unauthorized Request | None |
| 404 | Resource Not Found | None |
Example HTTP request
Request path
/v1/cloudmonitorings/event/v2/event-policies/{eventPolicyId}/notifications
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudmonitoring 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"addrbookAdditionalInfo": {
"memberCount": 4,
"userAdditionalInfo": [
{
"account_id": "",
"company_name": "",
"dst_offset": "",
"email": "",
"id": "",
"last_login_at": "",
"member_created_at": "",
"password_reuse_count": "",
"timezone": "",
"tz_id": "",
"user_name": "",
"utc_offset": ""
}
]
},
"notificationMethods": [
{
"eventLevel": "FATAL",
"notificationMethod": "",
"sendMethod": [
"MAIL"
]
}
],
"recipientKey": "1984",
"recipientName": "홍길동",
"recipientType": "USER",
"userAdditionalInfo": {
"account_id": "",
"company_name": "",
"dst_offset": "",
"email": "",
"id": "",
"last_login_at": "",
"member_created_at": "",
"password_reuse_count": "",
"timezone": "",
"tz_id": "",
"user_name": "",
"utc_offset": ""
}
}
],
"isChanged": "",
"returnCount": "",
"returnPage": "",
"sort": [
""
],
"sortableFields": [
""
],
"totalCount": ""
}
1.11.1 - 1.0
post /v1/cloudmonitorings/product/v2/metric-data
Description
Search the performance values of the collected metrics. Up to 10 query conditions can be specified, and the maximum query period is 24 hours.
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.0 | 20260701 |
Parameters
Responses
Example HTTP request
Request path
/v1/cloudmonitorings/product/v2/metric-data
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudmonitoring 1.0"
Request body
{
"ignoreInvalid": "Y",
"metricDataConditions": [
{
"metricKey": "system.diskio.read.bytes",
"objectType": "replicaset",
"productResourceInfos": [
{
"objectList": [
"kube-01",
"kube-02"
],
"productResourceId": "INSTANCE-c4Hsd27ttDaLw533X4B6Sp"
}
],
"statisticsPeriod": 5,
"statisticsTypeList": [
"SUM",
"MIN"
]
}
],
"queryEndDt": "2022-08-07T23:59:00.000Z",
"queryStartDt": "2022-08-07T23:50:00.000Z"
}
Example HTTP response
Response 200
{
"contents": [
{
"metricKey": "system.filesystem.used.bytes",
"metricName": "system.filesystem.used.bytes",
"metricType": "NUM",
"metricUnit": "bytes",
"objectDisplayName": "dm-1",
"objectName": "dm-1",
"objectType": "replicaset",
"perfData": [
{
"time": 1627378200000,
"value": "0.0766"
}
],
"productName": "VM-Server-01",
"productResourceId": "INSTANCE-c4Hsd27ttDaLw533X4B6Sp",
"statisticsPeriod": 5,
"statisticsType": "SUM"
}
],
"totalCount": ""
}
1.12.1 - 1.0
get /v1/cloudmonitorings/product/v2/metrics
Description
View the list of metrics provided by Monitoring. You can view the full list of metrics or the list of metrics for each service type.
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | productTypeCode optional | Product type code - Product type codes can be obtained using @[ListServiceMonitoring]. If not specified, the entire metric list will be retrieved. Example : VM
| string | None |
| query | objectType optional | Object Type - Only available for services that have subtypes, such as when the ‘productTypeCode’ is ‘Kubernetes’ or ‘Load Balancer’. Example : node
| string | None |
| query | page optional | Page Number (default: 0) Example : 0
| integer | None |
| query | size optional | Page Contents Size (default: 10) Example : 10
| integer | None |
| query | sort optional | Sorting Field List
| array[string] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | PageResponseMetricInfoDto |
| 400 | Invalid Request | None |
| 401 | Monitoring User Not Found | None |
| 403 | Unauthorized Request | None |
| 404 | Resource Not Found | None |
Example HTTP request
Request path
/v1/cloudmonitorings/product/v2/metrics
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudmonitoring 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"disableObject": "N",
"displayUnit": "",
"fixedUnit": "sec",
"isLogMetric": "N",
"isObjectExist": "Y",
"metricDescription": "커널에서 사용한 CPU 시간의 백분율 (core 4개 모두를 100%사용하는 경우 : 400%)",
"metricDescriptionEn": "Percentage of CPU time used in the kernel (if 100% of all 4 cores are used: 400%)",
"metricKey": "system.filesystem.used.bytes",
"metricName": "FileSystem",
"metricOrder": 1,
"metricSetKey": "system.filesystem",
"metricSetName": "FileSystem",
"metricType": "NUM",
"metricUnit": "bytes",
"objectKeyName": "system.core.iowait.pct",
"objectType": "N",
"objectTypeNameEng": "N",
"objectTypeNameLoc": "N",
"perfTitle": "File System",
"productTargetType": "system.core.id 별",
"productTargetTypeEn": "By system.core.id",
"productTypeCode": "VM",
"productTypeName": "Virtual Server"
}
],
"isChanged": "",
"returnCount": "",
"returnPage": "",
"sort": [
""
],
"sortableFields": [
""
],
"totalCount": ""
}
1.13.1 - 1.0
get /v1/cloudmonitorings/event/v2/events
Description
Search a list of events that occurred on a product resource.
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | productResourceId required | Product Resource ID - Product Resource ID can be viewed using @[ListAccountResources]. Example : INSTANCE-c4Hsd27ttDaLw533X4B6Sp
| string | None |
| query | metricKey optional | Metric Key - Metric Key can be viewed using @[ListMetrics]. Example : system.cpu.system.pct
| string | None |
| query | eventState required | Event State Example : ALL
| string | None |
| query | queryStartDt required | Query Start Date Example : 2021-10-23T18:00:00.000Z
| string | None |
| query | queryEndDt required | Query End Date Example : 2021-10-23T23:59:59.000Z
| string | None |
| query | page optional | Page Number (default: 0) Example : 0
| integer | None |
| query | size optional | Page Contents Size (default: 10) Example : 10
| integer | None |
| query | sort optional | Sorting Field List
| array[string] | None |
| header | X-ResourceType required | Resource Type Example :
| string | None |
Responses
Example HTTP request
Request path
/v1/cloudmonitorings/event/v2/events?productResourceId={productResourceId}&eventState={eventState}&queryStartDt={queryStartDt}&queryEndDt={queryEndDt}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudmonitoring 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"durationSecond": 100,
"endDt": "2021-10-23T23:59:59Z",
"eventId": "",
"eventLevel": "FATAL",
"eventMessage": "",
"eventPolicyId": 7240,
"eventState": "ACTIVE",
"metricKey": "system.cpu.system.norm.pct",
"metricName": "system.cpu.system.norm.pct",
"objectDisplayName": "CPU0",
"objectName": "CPU0",
"objectType": "cluster",
"objectTypeName": "cluster",
"productResourceId": "INSTANCE-c4Hsd27ttDaLw533X4B6Sp",
"productTargetType": "system.core.id 별",
"productTargetTypeEn": "By system.core.id",
"productTypeName": "Virtual Server",
"startDt": "2021-10-23T18:00:00Z"
}
],
"isChanged": "",
"returnCount": "",
"returnPage": "",
"sort": [
""
],
"sortableFields": [
""
],
"totalCount": ""
}
1.14.1 - 1.0
get /v1/cloudmonitorings/product/v1/product-types
Description
Search a list of product types supported by monitoring.
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | productCategoryCode optional | Product type category - If not specified, the entire product type code will be retrieved. Example : Compute
| string | None |
| query | page optional | Page Number (default: 0) Example : 0
| integer | None |
| query | size optional | Page Contents Size (default: 10) Example : 10
| integer | None |
| query | sort optional | Sorting Field List
| array[string] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | PageResponseProductTypeInfoDto |
| 400 | Invalid Request | None |
| 401 | Monitoring User Not Found | None |
| 403 | Unauthorized Request | None |
| 404 | Resource Not Found | None |
Example HTTP request
Request path
/v1/cloudmonitorings/product/v1/product-types
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudmonitoring 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"parentProductTypeName": "Compute",
"productTypeCode": "VM",
"productTypeName": "Virtual Server",
"stateMetricKey": "vsphere.mxvm.runtime.state"
}
],
"isChanged": "",
"returnCount": "",
"returnPage": "",
"sort": [
""
],
"sortableFields": [
""
],
"totalCount": ""
}
1.15.1 - 1.0
put /v1/cloudmonitorings/event/v2/event-policies/{eventPolicyId}
Description
Set Event Policy
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | eventPolicyId required | Event policy ID to modify - Event Policy ID can be viewed using @[ListEventPolicies]. Example : 7226
| integer | None |
| header | X-ResourceType required | Resource Type Example :
| string | None |
| body | body required |
| EventPolicyUpdateRequest | |
Responses
Example HTTP request
Request path
/v1/cloudmonitorings/event/v2/event-policies/{eventPolicyId}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudmonitoring 1.0"
Request body
{
"eventPolicyRequest": {
"disableYn": "N",
"eventLevel": "WARNING",
"eventMessagePrefix": "SCP",
"eventOccurTimeZone": "GMT+9",
"eventPolicyStatistics": {
"eventPolicyStatisticsPeriod": 10,
"eventPolicyStatisticsType": "MAX"
},
"eventThreshold": {
"metricFunction": "delta",
"rangeThreshold": {
"maxComparisonOperator": "LT",
"maxValue": 90,
"minComparisonOperator": "GT",
"minValue": 80
},
"singleThreshold": {
"comparisonOperator": "LT",
"value": 10
},
"thresholdType": "RANGE_VALUE"
},
"ftCount": 3,
"objectDisplayName": "cpu0",
"objectName": "cpu0",
"objectType": "cluster",
"podObjectDisplayName": "cpu0",
"podObjectName": "cpu0"
},
"notificationRecipients": [
{
"notificationMethods": [
{
"eventLevel": "FATAL",
"notificationMethod": "",
"sendMethod": [
"MAIL"
]
}
],
"recipientKey": "1347",
"recipientType": "USER"
}
]
}
Example HTTP response
Response 200
{
"asgYn": "",
"attrListStr": "",
"checkAsg": "",
"createBy": "",
"createById": "",
"createdBy": "",
"createdByName": "",
"createdDt": "2026-02-11T06:41:18.791Z",
"disableObject": "N",
"disableYn": "",
"displayEventRule": "SCP",
"eventLevel": "WARNING",
"eventMessagePrefix": "SCP",
"eventOccurTimeZone": "GMT+9",
"eventPolicyId": 7226,
"eventPolicyStatistics": {
"eventPolicyStatisticsPeriod": 10,
"eventPolicyStatisticsType": "MAX"
},
"eventThreshold": {
"metricFunction": "delta",
"rangeThreshold": {
"maxComparisonOperator": "LT",
"maxValue": 90,
"minComparisonOperator": "GT",
"minValue": 80
},
"singleThreshold": {
"comparisonOperator": "LT",
"value": 10
},
"thresholdType": "RANGE_VALUE"
},
"ftCount": 3,
"groupSummary": {
"groupName": "",
"groupResourceId": "",
"groupSq": "",
"productList": [
{
"productName": "",
"productResourceId": "",
"productSq": ""
}
],
"productTypeCode": "",
"productTypeName": ""
},
"isLogMetric": "N",
"metricDescription": "커널에서 사용한 CPU 시간의 백분율 (core 4개 모두를 100%사용하는 경우 : 400%)",
"metricDescriptionEn": "Percentage of CPU time used in the kernel (if 100% of all 4 cores are used: 400%)",
"metricKey": "system.cpu.system.pct",
"metricName": "system.cpu.system.pct",
"metricSummary": {
"isLogMetric": "N",
"isObjectExist": "Y",
"metricDescription": "커널에서 사용한 CPU 시간의 백분율 (core 4개 모두를 100%사용하는 경우 : 400%)",
"metricDescriptionEn": "Percentage of CPU time used in the kernel (if 100% of all 4 cores are used: 400%)",
"metricKey": "system.cpu.system.pct",
"metricName": "system.cpu.system.pct",
"metricSetKey": "system.cpu",
"metricSetName": "CPU",
"metricType": "NUM",
"metricUnit": "bytes",
"productTargetType": "system.core.id 별",
"productTargetTypeEn": "By system.core.id"
},
"metricType": "NUM",
"metricUnit": "%",
"modifiedBy": "",
"modifiedByName": "",
"modifiedDt": "2026-02-11T06:41:18.791Z",
"objectDisplayName": "/tmp",
"objectName": "/tmp",
"objectType": "cluster",
"objectTypeName": "cluster",
"productInfoAttrs": [
{
"attrName": "type",
"attrValue": "test"
}
],
"productName": "adad-002",
"productResourceId": "INSTANCE-c4Hsd27ttDaLw533X4B6Sp",
"productSq": 7234,
"productSummary": {
"agentState": "Running",
"lbName": "lbName",
"lbSize": "MEDIUM",
"productIpAddress": "192.168.1.2",
"productName": "VM-002",
"productResourceId": "INSTANCE-c4Hsd27ttDaLw533X4B6Sp",
"productSq": 8703,
"productState": "Running",
"productSubName": "productSubName",
"productSubType": "replicaset",
"productTypeCode": "VM",
"productTypeName": "Virtual Server",
"vpcName": "vpcName"
},
"productTargetType": "system.core.id 별",
"productTargetTypeEn": "By system.core.id",
"startDt": "2021-10-23T18:00:00Z",
"updateBy": "",
"updateById": "",
"userNameList": [
"userName",
"userName"
],
"userNameStr": "",
"userNames": "N"
}
1.16.1 - 1.0
get /v1/cloudmonitorings/event/v2/events/{eventId}/notification-states
Description
Search Event Notification States
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | eventId required | Event ID - Event ID can be viewed using @[ListResourceEvents]. Example :
| string | None |
| query | page optional | Page Number (default: 0) Example : 0
| integer | None |
| query | size optional | Page Contents Size (default: 10) Example : 10
| integer | None |
| query | sort optional | Sorting Field List
| array[string] | None |
| header | X-ResourceType required | Resource Type Example :
| string | None |
Responses
Example HTTP request
Request path
/v1/cloudmonitorings/event/v2/events/{eventId}/notification-states
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudmonitoring 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"notificationStates": [
{
"errorMsg": "SMS Send become Inactive.",
"sendDt": "2021-10-23T18:00:00Z",
"sendMethod": "MAIL",
"sendResult": "SUCCESS"
}
],
"user": "",
"userEmail": "kdhong@cloud.com",
"userId": "1984",
"userMobileTelNo": "010-000-0000",
"userNameNotification": "홍길동"
}
],
"isChanged": "",
"returnCount": "",
"returnPage": "",
"sort": [
""
],
"sortableFields": [
""
],
"totalCount": ""
}
1.17.1 - 1.0
get /v1/cloudmonitorings/event/v2/event-policies/{eventPolicyId}
Description
Show Event Policy
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | eventPolicyId required | Event Policy ID to inquire - Event Policy ID can be viewed using @[ListEventPolicies]. Example : 7226
| integer | None |
| header | X-ResourceType required | Resource Type Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | EventPolicyDetailResponse |
| 400 | Invalid Request | None |
| 401 | Monitoring User Not Found | None |
| 403 | Unauthorized Request | None |
| 404 | Resource Not Found | None |
Example HTTP request
Request path
/v1/cloudmonitorings/event/v2/event-policies/{eventPolicyId}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudmonitoring 1.0"
Example HTTP response
Response 200
{
"asgYn": "",
"attrListStr": "",
"checkAsg": "",
"createBy": "",
"createById": "",
"createdBy": "",
"createdByName": "",
"createdDt": "2026-02-11T06:41:18.772Z",
"disableObject": "N",
"disableYn": "",
"displayEventRule": "SCP",
"eventLevel": "WARNING",
"eventMessagePrefix": "SCP",
"eventOccurTimeZone": "GMT+9",
"eventPolicyId": 7226,
"eventPolicyStatistics": {
"eventPolicyStatisticsPeriod": 10,
"eventPolicyStatisticsType": "MAX"
},
"eventThreshold": {
"metricFunction": "delta",
"rangeThreshold": {
"maxComparisonOperator": "LT",
"maxValue": 90,
"minComparisonOperator": "GT",
"minValue": 80
},
"singleThreshold": {
"comparisonOperator": "LT",
"value": 10
},
"thresholdType": "RANGE_VALUE"
},
"ftCount": 3,
"groupSummary": {
"groupName": "",
"groupResourceId": "",
"groupSq": "",
"productList": [
{
"productName": "",
"productResourceId": "",
"productSq": ""
}
],
"productTypeCode": "",
"productTypeName": ""
},
"isLogMetric": "N",
"metricDescription": "커널에서 사용한 CPU 시간의 백분율 (core 4개 모두를 100%사용하는 경우 : 400%)",
"metricDescriptionEn": "Percentage of CPU time used in the kernel (if 100% of all 4 cores are used: 400%)",
"metricKey": "system.cpu.system.pct",
"metricName": "system.cpu.system.pct",
"metricSummary": {
"isLogMetric": "N",
"isObjectExist": "Y",
"metricDescription": "커널에서 사용한 CPU 시간의 백분율 (core 4개 모두를 100%사용하는 경우 : 400%)",
"metricDescriptionEn": "Percentage of CPU time used in the kernel (if 100% of all 4 cores are used: 400%)",
"metricKey": "system.cpu.system.pct",
"metricName": "system.cpu.system.pct",
"metricSetKey": "system.cpu",
"metricSetName": "CPU",
"metricType": "NUM",
"metricUnit": "bytes",
"productTargetType": "system.core.id 별",
"productTargetTypeEn": "By system.core.id"
},
"metricType": "NUM",
"metricUnit": "%",
"modifiedBy": "",
"modifiedByName": "",
"modifiedDt": "2026-02-11T06:41:18.772Z",
"objectDisplayName": "/tmp",
"objectName": "/tmp",
"objectType": "cluster",
"objectTypeName": "cluster",
"productInfoAttrs": [
{
"attrName": "type",
"attrValue": "test"
}
],
"productName": "adad-002",
"productResourceId": "INSTANCE-c4Hsd27ttDaLw533X4B6Sp",
"productSq": 7234,
"productSummary": {
"agentState": "Running",
"lbName": "lbName",
"lbSize": "MEDIUM",
"productIpAddress": "192.168.1.2",
"productName": "VM-002",
"productResourceId": "INSTANCE-c4Hsd27ttDaLw533X4B6Sp",
"productSq": 8703,
"productState": "Running",
"productSubName": "productSubName",
"productSubType": "replicaset",
"productTypeCode": "VM",
"productTypeName": "Virtual Server",
"vpcName": "vpcName"
},
"productTargetType": "system.core.id 별",
"productTargetTypeEn": "By system.core.id",
"startDt": "2021-10-23T18:00:00Z",
"updateBy": "",
"updateById": "",
"userNameList": [
"userName",
"userName"
],
"userNameStr": "",
"userNames": "N"
}
1.18.1 - 1.0
get /v1/cloudmonitorings/event/v2/events/{eventId}
Description
Show Resource Event
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | eventId required | Event ID - Event ID can be viewed using @[ListResourceEvents]. Example :
| string | None |
| header | X-ResourceType required | Resource Type Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | EventDetailResponse |
| 400 | Invalid Request | None |
| 401 | Monitoring User Not Found | None |
| 403 | Unauthorized Request | None |
| 404 | Resource Not Found | None |
Example HTTP request
Request path
/v1/cloudmonitorings/event/v2/events/{eventId}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudmonitoring 1.0"
Example HTTP response
Response 200
{
"durationSecond": 100,
"endDt": "2021-10-23T23:59:59Z",
"eventId": "",
"eventLevel": "FATAL",
"eventMessage": "",
"eventPolicyId": 7240,
"eventPolicySummary": {
"checkAsg": "",
"createBy": "",
"createById": "",
"eventLevel": "WARNING",
"eventMessagePrefix": "SCP",
"eventOccurTimeZone": "GMT+9",
"eventPolicyId": 7226,
"eventPolicyStatistics": {
"eventPolicyStatisticsPeriod": 10,
"eventPolicyStatisticsType": "MAX"
},
"eventThreshold": {
"metricFunction": "delta",
"rangeThreshold": {
"maxComparisonOperator": "LT",
"maxValue": 90,
"minComparisonOperator": "GT",
"minValue": 80
},
"singleThreshold": {
"comparisonOperator": "LT",
"value": 10
},
"thresholdType": "RANGE_VALUE"
},
"ftCount": 3,
"isLogMetric": "N",
"metricDescription": "커널에서 사용한 CPU 시간의 백분율 (core 4개 모두를 100%사용하는 경우 : 400%)",
"metricDescriptionEn": "Percentage of CPU time used in the kernel (if 100% of all 4 cores are used: 400%)",
"metricKey": "system.cpu.system.pct",
"metricName": "system.cpu.system.pct",
"objectName": "cpu0",
"productName": "VM-002",
"productResourceId": "INSTANCE-c4Hsd27ttDaLw533X4B6Sp",
"productSq": 7321,
"productTargetType": "system.core.id 별",
"productTargetTypeEn": "By system.core.id",
"updateBy": "",
"updateById": ""
},
"eventState": "ACTIVE",
"metricKey": "system.cpu.system.norm.pct",
"metricName": "system.cpu.system.norm.pct",
"metricSummary": {
"isLogMetric": "N",
"isObjectExist": "Y",
"metricDescription": "커널에서 사용한 CPU 시간의 백분율 (core 4개 모두를 100%사용하는 경우 : 400%)",
"metricDescriptionEn": "Percentage of CPU time used in the kernel (if 100% of all 4 cores are used: 400%)",
"metricKey": "system.cpu.system.pct",
"metricName": "system.cpu.system.pct",
"metricSetKey": "system.cpu",
"metricSetName": "CPU",
"metricType": "NUM",
"metricUnit": "bytes",
"productTargetType": "system.core.id 별",
"productTargetTypeEn": "By system.core.id"
},
"objectDisplayName": "CPU0",
"objectName": "CPU0",
"objectType": "cluster",
"objectTypeName": "Cluster",
"productIpAddress": "192.168.1.2",
"productName": "VM-002",
"productResourceId": "INSTANCE-c4Hsd27ttDaLw533X4B6Sp",
"productSummary": {
"agentState": "Running",
"lbName": "lbName",
"lbSize": "MEDIUM",
"productIpAddress": "192.168.1.2",
"productName": "VM-002",
"productResourceId": "INSTANCE-c4Hsd27ttDaLw533X4B6Sp",
"productSq": 8703,
"productState": "Running",
"productSubName": "productSubName",
"productSubType": "replicaset",
"productTypeCode": "VM",
"productTypeName": "Virtual Server",
"vpcName": "vpcName"
},
"productTypeCode": "VM",
"startDt": "2021-10-23T18:00:00Z"
}